
QGIS Application - Feature request #6297

Startup python script for all users

2012-09-02 01:45 PM - Evgeniy Nikulin

Status: Closed

Priority: Normal

Assignee: Nathan Woodrow

Category: Python plugins

Pull Request or Patch supplied:Yes Resolution:

Easy fix?: No Copied to github as #: 15593

Description

Nathan, big thanx for your commit:924e7eb9f21d342f6dcdd50219e96f9d6cf2f954. Personal startup scripts can be using now. But no

way to setup one common startup script for all users (this can be useful if you need to perform some action for all - check db, restore

settings, etc).

I attached the patch to run the script in the root of pythonPath.

Could you please look it?

Associated revisions

Revision 434bbeab - 2016-11-03 11:11 AM - Alexander Bruy

Add global python startup script support in addition to per-user scripts (fix #6297)

History

#1 - 2012-09-02 03:13 PM - Nathan Woodrow

Thanks.  I'll have a look over it tonight.

#2 - 2012-09-03 12:25 AM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

#3 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#4 - 2013-05-25 07:15 PM - Nathan Woodrow

- Target version changed from Version 2.0.0 to Future Release - High Priority

#5 - 2015-12-13 11:38 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

Nathan Woodrow wrote:

Thanks.  I'll have a look over it tonight.

well, this was a very long night ;-) It is still true in QGIS 2.13 master...
#6 - 2016-05-24 09:50 AM - Alexander Bruy

- Status changed from Feedback to Open

#7 - 2016-11-03 03:40 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"434bbeabfcd39b32d1725a6d2a01fba751243069".

#8 - 2017-05-19 09:35 AM - Jürgen Fischer

- Description updated

Files

global_startup.patch 805 Bytes 2012-09-02 Evgeniy Nikulin
